Extending Qt Creator Manual | UpdateGuard

Extending Qt Creator Manual 4.5.2

# UpdateGuard Class

(ProjectExplorer::ProjectImporter::UpdateGuard)

- List of all members, including inherited members

## Public Functions

| UpdateGuard(const ProjectImporter &i)
| ~UpdateGuard()

## Member Function Documentation

### UpdateGuard::UpdateGuard(const ProjectImporter &i)

Default constructs an instance of UpdateGuard.

### UpdateGuard::~UpdateGuard()

Destroys the instance of UpdateGuard.